import express from "express";
import Account from "../abl/Account-abl";
import validator from "../validator/validator";
const router = express.Router();

/**
 * Return all mailboxes and folders for an user
 */
router.get("/getAll", async (req, res) => {
    await validator.validate("getAccounts", req.params, res, Account.getAll);
});

/**
 * Register a new mailbox inside the app
 */
router.post("/register", async (req, res) => {
    await validator.validate("createAccount", req.body, res, Account.register);
});

/**
 * Return all rooms from a mailbox
 */
 router.get("/:mailboxId/rooms", async (req, res) => {
    // todo offet limit
    await validator.validate("getRooms", req.params, res, Account.getRooms);
});

export default router;
